Need help with line-py?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

fadhiilrachman
219 Stars 137 Forks BSD 3-Clause "New" or "Revised" License 133 Commits 44 Opened issues

Description

LINE Messaging's private API

Services available

!
?

Need anything else?

Contributors list

# 227,983
Python
101 commits
# 500,264
Python
JavaScr...
3 commits
# 403,784
Dart
Shell
telegra...
Telegra...
2 commits

logo LINE Python

Version 3.0.8 LICENSE Supported python versions: 3.x Chat on Discord

LINE Messaging's private API


Requirement

The linepy module only requires Python 3. You can download from here.

Installation

Installation is simple. It can be installed from pip using the following command:

sh
$ pip install linepy
Or from the code:
sh
$ python setup.py install

Usage

>>> from linepy import *
>>> line = LINE('EMAIL', 'PASSWORD')
>>> line.log("Auth Token : " + str(line.authToken))

Examples

All examples can be found here.

Updates

From pip using the following command:

sh
$ pip install linepy --upgrade

Author

Fadhiil Rachman / @fadhiilrachman

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.